版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-05-24|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
    "loginName":"zhang3",
    "password":"123456",
    "securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "msg":"登录成功",
    "code":1,
    "data":{

    }
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```



## 操作日志业务

### 查询操作日志业务列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;platformMark|String|平台标识|-
&emsp;&emsp;userId|Long|用户id|-
&emsp;&emsp;userName|String|用户名称|-
&emsp;&emsp;loginName|String|用户登录名|-
&emsp;&emsp;requestUrl|String|请求地址|-
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据|-
&emsp;&emsp;ip|String|操作IP地址|-
&emsp;&emsp;logDate|Date|操作时间|-
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑操作日志业务

**请求URL:** oper/log/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑操作日志业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/oper/log/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;platformMark|String|平台标识|-
&emsp;userId|Long|用户id|-
&emsp;userName|String|用户名称|-
&emsp;loginName|String|用户登录名|-
&emsp;requestUrl|String|请求地址|-
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据|-
&emsp;ip|String|操作IP地址|-
&emsp;logDate|Date|操作时间|-
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":5933,
        "platformMark":"5l8r9j",
        "userId":6380,
        "userName":"cppqyu",
        "loginName":"syy9vx",
        "requestUrl":"pmyumc",
        "content":"avncuq",
        "ip":"kfasef",
        "logDate":"2022-05-25",
        "operType":7249
        }
}

```

### 查看操作日志业务

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/oper/log/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;platformMark|String|平台标识|-
&emsp;userId|Long|用户id|-
&emsp;userName|String|用户名称|-
&emsp;loginName|String|用户登录名|-
&emsp;requestUrl|String|请求地址|-
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据|-
&emsp;ip|String|操作IP地址|-
&emsp;logDate|Date|操作时间|-
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3810,
            "platformMark":"90dw4o",
            "userId":7254,
            "userName":"q48pk4",
            "loginName":"8h2uzj",
            "requestUrl":"49e5sb",
            "content":"e9l7ec",
            "ip":"to85q8",
            "logDate":"2022-05-25",
            "operType":7082
        }
}
```

### 保存更新操作日志业务

**请求URL:** oper/log/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新操作日志业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
platformMark|String|平台标识|是|-
userId|Long|用户id|是|-
userName|String|用户名称|是|-
loginName|String|用户登录名|是|-
requestUrl|String|请求地址|是|-
content|String|操作内容，记录操作具体信息，如修改前修改或的数据|是|-
ip|String|操作IP地址|是|-
logDate|Date|操作时间|是|-
operType|Integer|操作类型，0：新增，1：修改，2：删除|是|-

**请求样例:**
```

{
    "platformMark":"n8rk31",
    "userId":9904,
    "userName":"s7mchk",
    "loginName":"1a2282",
    "requestUrl":"6wx2yl",
    "content":"pjlym4",
    "ip":"prlz3u",
    "logDate":"2022-05-25",
    "operType":6807
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;platformMark|String|平台标识|-
&emsp;&emsp;userId|Long|用户id|-
&emsp;&emsp;userName|String|用户名称|-
&emsp;&emsp;loginName|String|用户登录名|-
&emsp;&emsp;requestUrl|String|请求地址|-
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据|-
&emsp;&emsp;ip|String|操作IP地址|-
&emsp;&emsp;logDate|Date|操作时间|-
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除操作日志业务

**请求URL:** oper/log/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除操作日志业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/oper/log/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出操作日志业务

**请求URL:** oper/log/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出操作日志业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 参数信息业务

### 查询参数信息业务列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|参数名称|-
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置|-
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置|-
&emsp;&emsp;paramKey|String|参数键，全局唯一|-
&emsp;&emsp;paramValue|String|参数值|-
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1|-
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4|-
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑参数信息业务

**请求URL:** param/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑参数信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/param/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|参数名称|-
&emsp;firstOrganize|String|一级组织，如：平台配置|-
&emsp;secondOrganize|String|二级组织，如：基础配置|-
&emsp;paramKey|String|参数键，全局唯一|-
&emsp;paramValue|String|参数值|-
&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1|-
&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4|-
&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0|-
&emsp;remark|String|备注|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":6739,
        "name":"eo3zh6",
        "firstOrganize":"6mbwct",
        "secondOrganize":"ghdaab",
        "paramKey":"uwkzlq",
        "paramValue":"kgua5z",
        "validStatus":4073,
        "modStatus":9537,
        "displayType":3116,
        "remark":"bo7zer",
        "createTime":"2022-05-25",
        "createUserId":3975,
        "createUserName":"oc84n9"
        }
}

```

### 查看参数信息业务

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/param/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|参数名称|-
&emsp;firstOrganize|String|一级组织，如：平台配置|-
&emsp;secondOrganize|String|二级组织，如：基础配置|-
&emsp;paramKey|String|参数键，全局唯一|-
&emsp;paramValue|String|参数值|-
&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1|-
&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4|-
&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0|-
&emsp;remark|String|备注|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8960,
            "name":"g6m1ul",
            "firstOrganize":"l4mm0n",
            "secondOrganize":"kvgcmt",
            "paramKey":"5dg4x2",
            "paramValue":"gamp86",
            "validStatus":8960,
            "modStatus":2590,
            "displayType":3959,
            "remark":"v3d8jr",
            "createTime":"2022-05-25",
            "createUserId":6729,
            "createUserName":"m48pvx"
        }
}
```

### 保存更新参数信息业务

**请求URL:** param/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|参数名称|是|-
firstOrganize|String|一级组织，如：平台配置|是|-
secondOrganize|String|二级组织，如：基础配置|是|-
paramKey|String|参数键，全局唯一|是|-
paramValue|String|参数值|是|-
validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1|是|-
modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4|是|-
displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0|是|-
remark|String|备注|是|-
createUserName|String|创建用户名称|是|-

**请求样例:**
```

{
    "name":"8m3af1",
    "firstOrganize":"k3zu4g",
    "secondOrganize":"fssl2o",
    "paramKey":"ltu6tz",
    "paramValue":"jwle47",
    "validStatus":7002,
    "modStatus":5649,
    "displayType":4239,
    "remark":"vd9dni",
    "createUserName":"ver1gw"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|参数名称|-
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置|-
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置|-
&emsp;&emsp;paramKey|String|参数键，全局唯一|-
&emsp;&emsp;paramValue|String|参数值|-
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1|-
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4|-
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除参数信息业务

**请求URL:** param/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/param/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出参数信息业务

**请求URL:** param/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出参数信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 资源信息业务

### 查询资源信息业务列表

**请求URL:** resource/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询资源信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;name|String|名称|-
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔|-
&emsp;&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）|-
&emsp;&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)|-
dict|object|字典对象|-
&emsp;authType|object|字典属性对象，详见附录|-
&emsp;sourceType|object|字典属性对象，详见附录|-
&emsp;userType|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑资源信息业务

**请求URL:** resource/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑资源信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/resource/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;name|String|名称|-
&emsp;url|String|连接地址，多个地址以逗号分隔|-
&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）|-
&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)|-
dict|object|字典对象|-
&emsp;authType|object|字典属性对象，详见附录|-
&emsp;sourceType|object|字典属性对象，详见附录|-
&emsp;userType|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":4986,
        "name":"xi5ol2",
        "url":"dkdynm",
        "authType":1329,
        "sourceType":3002,
        "createTime":"2022-05-25",
        "createUserId":3840,
        "createUserName":"gm56cw",
        "userType":2433
        }
}

```

### 查看资源信息业务

**请求URL:** resource/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看资源信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/resource/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;name|String|名称|-
&emsp;url|String|连接地址，多个地址以逗号分隔|-
&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）|-
&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)|-
dict|object|字典对象|-
&emsp;authType|object|字典属性对象，详见附录|-
&emsp;sourceType|object|字典属性对象，详见附录|-
&emsp;userType|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3748,
            "name":"rt0woj",
            "url":"nkkbcp",
            "authType":3538,
            "sourceType":945,
            "createTime":"2022-05-25",
            "createUserId":5485,
            "createUserName":"vc7s1x",
            "userType":8605
        }
}
```

### 保存更新资源信息业务

**请求URL:** resource/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新资源信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|名称|是|-
url|String|连接地址，多个地址以逗号分隔|是|-
authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）|是|-
sourceType|Integer|资源类型(0.系统资源，1.开放资源)|是|-
createUserName|String|创建用户名称|是|-
userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)|是|-

**请求样例:**
```

{
    "name":"wvo78k",
    "url":"gdtodz",
    "authType":9298,
    "sourceType":5293,
    "createUserName":"orpqqu",
    "userType":3507
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;name|String|名称|-
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔|-
&emsp;&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）|-
&emsp;&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除资源信息业务

**请求URL:** resource/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除资源信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/resource/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出资源信息业务

**请求URL:** resource/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出资源信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 角色信息业务

### 查询角色信息业务列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|角色名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑角色信息业务

**请求URL:** role/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑角色信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|角色名称|-
&emsp;remark|String|备注|-
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":3866,
        "name":"h5wkyd",
        "remark":"bgz6g5",
        "roleType":6131,
        "createTime":"2022-05-25",
        "createUserId":9644,
        "createUserName":"23k0mr"
        }
}

```

### 查看角色信息业务

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|角色名称|-
&emsp;remark|String|备注|-
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2534,
            "name":"r86w0l",
            "remark":"0jqfor",
            "roleType":1217,
            "createTime":"2022-05-25",
            "createUserId":7303,
            "createUserName":"advhmk"
        }
}
```

### 保存更新角色信息业务

**请求URL:** role/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|角色名称|是|-
remark|String|备注|是|-
roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2|是|-
createUserName|String|创建用户名称|是|-

**请求样例:**
```

{
    "name":"k7q0pd",
    "remark":"695nd6",
    "roleType":9420,
    "createUserName":"4n9pgx"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|角色名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除角色信息业务

**请求URL:** role/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/role/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出角色信息业务

**请求URL:** role/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出角色信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 角色资源权限业务

### 查询角色资源权限业务列表

**请求URL:** role/auth/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色资源权限业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;roleId|Long|角色ID|-
&emsp;&emsp;resourceId|Long|资源ID|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑角色资源权限业务

**请求URL:** role/auth/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑角色资源权限业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/auth/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;roleId|Long|角色ID|-
&emsp;resourceId|Long|资源ID|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":7884,
        "roleId":7089,
        "resourceId":633
        }
}

```

### 查看角色资源权限业务

**请求URL:** role/auth/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色资源权限业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/auth/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;roleId|Long|角色ID|-
&emsp;resourceId|Long|资源ID|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1901,
            "roleId":3987,
            "resourceId":7419
        }
}
```

### 保存更新角色资源权限业务

**请求URL:** role/auth/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色资源权限业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
roleId|Long|角色ID|是|-
resourceId|Long|资源ID|是|-

**请求样例:**
```

{
    "roleId":9069,
    "resourceId":8585
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;roleId|Long|角色ID|-
&emsp;&emsp;resourceId|Long|资源ID|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除角色资源权限业务

**请求URL:** role/auth/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色资源权限业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/role/auth/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出角色资源权限业务

**请求URL:** role/auth/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出角色资源权限业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 角色用户业务

### 查询角色用户业务列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;roleId|Long|角色ID|-
&emsp;&emsp;userId|Long|用户ID|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑角色用户业务

**请求URL:** role/user/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑角色用户业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/user/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;roleId|Long|角色ID|-
&emsp;userId|Long|用户ID|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":9997,
        "roleId":6541,
        "userId":7311
        }
}

```

### 查看角色用户业务

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/role/user/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;roleId|Long|角色ID|-
&emsp;userId|Long|用户ID|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1359,
            "roleId":6797,
            "userId":9088
        }
}
```

### 保存更新角色用户业务

**请求URL:** role/user/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
roleId|Long|角色ID|是|-
userId|Long|用户ID|是|-

**请求样例:**
```

{
    "roleId":334,
    "userId":1669
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;roleId|Long|角色ID|-
&emsp;&emsp;userId|Long|用户ID|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除角色用户业务

**请求URL:** role/user/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/role/user/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出角色用户业务

**请求URL:** role/user/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出角色用户业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 分索引信息业务

### 查询分索引信息业务列表

**请求URL:** table/index/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询分索引信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;tableName|String|表名称|-
&emsp;&emsp;tableMark|String|表标识|-
&emsp;&emsp;createTime|Date|创建时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑分索引信息业务

**请求URL:** table/index/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑分索引信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/table/index/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;tableName|String|表名称|-
&emsp;tableMark|String|表标识|-
&emsp;createTime|Date|创建时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":9419,
        "tableName":"ints4p",
        "tableMark":"ne62tc",
        "createTime":"2022-05-25"
        }
}

```

### 查看分索引信息业务

**请求URL:** table/index/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看分索引信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/table/index/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;tableName|String|表名称|-
&emsp;tableMark|String|表标识|-
&emsp;createTime|Date|创建时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1950,
            "tableName":"efap7n",
            "tableMark":"52stjr",
            "createTime":"2022-05-25"
        }
}
```

### 保存更新分索引信息业务

**请求URL:** table/index/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新分索引信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
tableName|String|表名称|是|-
tableMark|String|表标识|是|-

**请求样例:**
```

{
    "tableName":"x6eczr",
    "tableMark":"yq5wdf",
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;tableName|String|表名称|-
&emsp;&emsp;tableMark|String|表标识|-
&emsp;&emsp;createTime|Date|创建时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除分索引信息业务

**请求URL:** table/index/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除分索引信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/table/index/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出分索引信息业务

**请求URL:** table/index/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出分索引信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 任务信息业务

### 查询任务信息业务列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|任务名称|-
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程|-
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)|-
&emsp;&emsp;excuteService|String|任务执行服务|-
&emsp;&emsp;excuteParam|String|任务执行参数|-
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔|-
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)|-
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；|-
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;lastExcuteHost|String|最后执行主机|-
&emsp;&emsp;lastExcuteTime|Date|最后执行时间|-
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-
&emsp;status|object|字典属性对象，详见附录|-
&emsp;excuteStrategy|object|字典属性对象，详见附录|-
&emsp;interimExcuteStatus|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑任务信息业务

**请求URL:** task/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑任务信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/task/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|任务名称|-
&emsp;taskKey|String|任务关键字，区分任务执行流程|-
&emsp;status|Integer|任务状态，(0,未启动，1.执行中)|-
&emsp;excuteService|String|任务执行服务|-
&emsp;excuteParam|String|任务执行参数|-
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔|-
&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)|-
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；|-
&emsp;excuteTime|String|执行时间，格式：HH:mm，|-
&emsp;remark|String|备注|-
&emsp;lastExcuteHost|String|最后执行主机|-
&emsp;lastExcuteTime|Date|最后执行时间|-
&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-
&emsp;status|object|字典属性对象，详见附录|-
&emsp;excuteStrategy|object|字典属性对象，详见附录|-
&emsp;interimExcuteStatus|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":8455,
        "name":"9xaix3",
        "taskKey":"jmpnnj",
        "status":3961,
        "excuteService":"tl8aso",
        "excuteParam":"wgfdm0",
        "excuteHost":"qogqji",
        "excuteStrategy":3194,
        "excuteDate":3809,
        "excuteTime":"3x9z7t",
        "remark":"hpiswr",
        "lastExcuteHost":"69pw7a",
        "lastExcuteTime":"2022-05-25",
        "interimExcuteStatus":221,
        "createTime":"2022-05-25",
        "createUserId":5533,
        "createUserName":"pi7hln"
        }
}

```

### 查看任务信息业务

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/task/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|任务名称|-
&emsp;taskKey|String|任务关键字，区分任务执行流程|-
&emsp;status|Integer|任务状态，(0,未启动，1.执行中)|-
&emsp;excuteService|String|任务执行服务|-
&emsp;excuteParam|String|任务执行参数|-
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔|-
&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)|-
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；|-
&emsp;excuteTime|String|执行时间，格式：HH:mm，|-
&emsp;remark|String|备注|-
&emsp;lastExcuteHost|String|最后执行主机|-
&emsp;lastExcuteTime|Date|最后执行时间|-
&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-
&emsp;status|object|字典属性对象，详见附录|-
&emsp;excuteStrategy|object|字典属性对象，详见附录|-
&emsp;interimExcuteStatus|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":104,
            "name":"c29pj7",
            "taskKey":"f8u3y0",
            "status":7862,
            "excuteService":"6xz1g0",
            "excuteParam":"ia6rr6",
            "excuteHost":"3zwsm8",
            "excuteStrategy":1510,
            "excuteDate":2986,
            "excuteTime":"hf6xvt",
            "remark":"szvqdm",
            "lastExcuteHost":"esh65z",
            "lastExcuteTime":"2022-05-25",
            "interimExcuteStatus":442,
            "createTime":"2022-05-25",
            "createUserId":8780,
            "createUserName":"pwksh0"
        }
}
```

### 保存更新任务信息业务

**请求URL:** task/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|任务名称|是|-
taskKey|String|任务关键字，区分任务执行流程|是|-
status|Integer|任务状态，(0,未启动，1.执行中)|是|-
excuteService|String|任务执行服务|是|-
excuteParam|String|任务执行参数|是|-
excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔|是|-
excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)|是|-
excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；|是|-
excuteTime|String|执行时间，格式：HH:mm，|是|-
remark|String|备注|是|-
lastExcuteHost|String|最后执行主机|是|-
lastExcuteTime|Date|最后执行时间|是|-
interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)|是|-
createUserName|String|创建用户名称|是|-

**请求样例:**
```

{
    "name":"lwaq87",
    "taskKey":"pf3rig",
    "status":5838,
    "excuteService":"wqadd2",
    "excuteParam":"pu0asq",
    "excuteHost":"mcd6ni",
    "excuteStrategy":1833,
    "excuteDate":1760,
    "excuteTime":"7ma1dz",
    "remark":"nbyf0u",
    "lastExcuteHost":"h0nl7v",
    "lastExcuteTime":"2022-05-25",
    "interimExcuteStatus":5925,
    "createUserName":"777we8"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|任务名称|-
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程|-
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)|-
&emsp;&emsp;excuteService|String|任务执行服务|-
&emsp;&emsp;excuteParam|String|任务执行参数|-
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔|-
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)|-
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；|-
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;lastExcuteHost|String|最后执行主机|-
&emsp;&emsp;lastExcuteTime|Date|最后执行时间|-
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除任务信息业务

**请求URL:** task/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/task/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出任务信息业务

**请求URL:** task/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出任务信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 上传文件业务

### 查询上传文件业务列表

**请求URL:** uploadfile/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询上传文件业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|ID，主键，自增长|-
&emsp;&emsp;fileName|String|文件名称|-
&emsp;&emsp;filePath|String|文件路径|-
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUser|String|创建用户|-
dict|object|字典对象|-
&emsp;fileType|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑上传文件业务

**请求URL:** uploadfile/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑上传文件业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/uploadfile/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|ID，主键，自增长|-
&emsp;fileName|String|文件名称|-
&emsp;filePath|String|文件路径|-
&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUser|String|创建用户|-
dict|object|字典对象|-
&emsp;fileType|object|字典属性对象，详见附录|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":5935,
        "fileName":"vs6pd2",
        "filePath":"xxxap3",
        "fileType":8408,
        "createTime":"2022-05-25",
        "createUser":"4jjwme"
        }
}

```

### 查看上传文件业务

**请求URL:** uploadfile/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看上传文件业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/uploadfile/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|ID，主键，自增长|-
&emsp;fileName|String|文件名称|-
&emsp;filePath|String|文件路径|-
&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUser|String|创建用户|-
dict|object|字典对象|-
&emsp;fileType|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2469,
            "fileName":"5rq9qa",
            "filePath":"90waff",
            "fileType":4105,
            "createTime":"2022-05-25",
            "createUser":"1ulyka"
        }
}
```

### 保存更新上传文件业务

**请求URL:** uploadfile/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新上传文件业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
fileName|String|文件名称|是|-
filePath|String|文件路径|是|-
fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)|是|-

**请求样例:**
```

{
    "fileName":"bxbbc6",
    "filePath":"f5dgdf",
    "fileType":8488,
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|ID，主键，自增长|-
&emsp;&emsp;fileName|String|文件名称|-
&emsp;&emsp;filePath|String|文件路径|-
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUser|String|创建用户|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除上传文件业务

**请求URL:** uploadfile/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除上传文件业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/uploadfile/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出上传文件业务

**请求URL:** uploadfile/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出上传文件业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 用户信息业务

### 查询用户信息业务列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长|-
&emsp;&emsp;loginName|String|登录名|-
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密|-
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录|-
&emsp;&emsp;realName|String|用户名|-
&emsp;&emsp;mobile|String|用户手机号|-
&emsp;&emsp;phone|String|用户联系电话|-
&emsp;&emsp;email|String|用户邮箱|-
&emsp;&emsp;qq|String|QQ号码|-
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2|-
&emsp;&emsp;siteInfo|String|{  "授权站点": {    "站点信息": [      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      }    ]  }}|-
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1|-
&emsp;&emsp;customerId|Long|客户ID|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间|-
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑用户信息业务

**请求URL:** user/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/user/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|用户ID，主键，自增长|-
&emsp;loginName|String|登录名|-
&emsp;loginPwd|String|登录密码，使用md5双次加密|-
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录|-
&emsp;realName|String|用户名|-
&emsp;mobile|String|用户手机号|-
&emsp;phone|String|用户联系电话|-
&emsp;email|String|用户邮箱|-
&emsp;qq|String|QQ号码|-
&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2|-
&emsp;siteInfo|String|{  "授权站点": {    "站点信息": [      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      }    ]  }}|-
&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1|-
&emsp;customerId|Long|客户ID|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
&emsp;lastLoginTime|Date|最后一次登录时间|-
&emsp;lastLoginAddress|String|最后一次登录地址|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":1306,
        "loginName":"obttaw",
        "loginPwd":"onqwaf",
        "loginLimitAddress":"qs7jyb",
        "realName":"n80s4d",
        "mobile":"2mvpco",
        "phone":"7ogud0",
        "email":"43t0a2",
        "qq":"o7ztem",
        "userType":5262,
        "siteInfo":"fuhwlm",
        "status":1814,
        "customerId":6819,
        "createTime":"2022-05-25",
        "createUserId":703,
        "createUserName":"1b0g6h",
        "lastLoginTime":"2022-05-25",
        "lastLoginAddress":"uia282"
        }
}

```

### 查看用户信息业务

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/user/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|用户ID，主键，自增长|-
&emsp;loginName|String|登录名|-
&emsp;loginPwd|String|登录密码，使用md5双次加密|-
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录|-
&emsp;realName|String|用户名|-
&emsp;mobile|String|用户手机号|-
&emsp;phone|String|用户联系电话|-
&emsp;email|String|用户邮箱|-
&emsp;qq|String|QQ号码|-
&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2|-
&emsp;siteInfo|String|{  "授权站点": {    "站点信息": [      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      }    ]  }}|-
&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1|-
&emsp;customerId|Long|客户ID|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
&emsp;lastLoginTime|Date|最后一次登录时间|-
&emsp;lastLoginAddress|String|最后一次登录地址|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5617,
            "loginName":"mfjs4s",
            "loginPwd":"arar4d",
            "loginLimitAddress":"fv5o5s",
            "realName":"mccz7n",
            "mobile":"o79cnx",
            "phone":"qseirn",
            "email":"b537h0",
            "qq":"ook7ip",
            "userType":9308,
            "siteInfo":"ukhl0d",
            "status":4447,
            "customerId":13,
            "createTime":"2022-05-25",
            "createUserId":3917,
            "createUserName":"c6oxjo",
            "lastLoginTime":"2022-05-25",
            "lastLoginAddress":"hz0uiq"
        }
}
```

### 保存更新用户信息业务

**请求URL:** user/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|登录名|是|-
loginPwd|String|登录密码，使用md5双次加密|是|-
loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录|是|-
realName|String|用户名|是|-
mobile|String|用户手机号|是|-
phone|String|用户联系电话|是|-
email|String|用户邮箱|是|-
qq|String|QQ号码|是|-
userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2|是|-
siteInfo|String|{  "授权站点": {    "站点信息": [      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      }    ]  }}|是|-
status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1|是|-
customerId|Long|客户ID|是|-
createUserName|String|创建用户名称|是|-
lastLoginTime|Date|最后一次登录时间|是|-
lastLoginAddress|String|最后一次登录地址|是|-

**请求样例:**
```

{
    "loginName":"zq8np9",
    "loginPwd":"2mgq9h",
    "loginLimitAddress":"xyqzx1",
    "realName":"msugab",
    "mobile":"7xtkob",
    "phone":"3abwdh",
    "email":"15szbf",
    "qq":"euldo8",
    "userType":9911,
    "siteInfo":"55o28o",
    "status":4534,
    "customerId":8547,
    "createUserName":"ei57ed",
    "lastLoginTime":"2022-05-25",
    "lastLoginAddress":"e8n6so"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|用户ID，主键，自增长|-
&emsp;&emsp;loginName|String|登录名|-
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密|-
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录|-
&emsp;&emsp;realName|String|用户名|-
&emsp;&emsp;mobile|String|用户手机号|-
&emsp;&emsp;phone|String|用户联系电话|-
&emsp;&emsp;email|String|用户邮箱|-
&emsp;&emsp;qq|String|QQ号码|-
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2|-
&emsp;&emsp;siteInfo|String|{  "授权站点": {    "站点信息": [      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      },      {        "站点ID": "1",		"站点名称": "1",        "站点对应的区域ID": "",        "站点对应的区域名称": ""      }    ]  }}|-
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1|-
&emsp;&emsp;customerId|Long|客户ID|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间|-
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除用户信息业务

**请求URL:** user/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/user/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出用户信息业务

**请求URL:** user/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出用户信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 验证码信息业务

### 查询验证码信息业务列表

**请求URL:** valid/code/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询验证码信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;code|String|验证码|-
&emsp;&emsp;url|String|校验地址，email校验使用|-
&emsp;&emsp;mobile|String|校验手机号|-
&emsp;&emsp;email|String|校验邮箱|-
&emsp;&emsp;type|Integer|校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0|-
&emsp;&emsp;sessionId|String|会话ID|-
&emsp;&emsp;ip|String|IP地址|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑验证码信息业务

**请求URL:** valid/code/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑验证码信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/valid/code/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;code|String|验证码|-
&emsp;url|String|校验地址，email校验使用|-
&emsp;mobile|String|校验手机号|-
&emsp;email|String|校验邮箱|-
&emsp;type|Integer|校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0|-
&emsp;sessionId|String|会话ID|-
&emsp;ip|String|IP地址|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":4309,
        "code":"1qrxx2",
        "url":"pv3iil",
        "mobile":"z96sd8",
        "email":"plek1l",
        "type":8730,
        "sessionId":"u6bfsh",
        "ip":"0xd20c",
        "createTime":"2022-05-25",
        "lapseTime":"2022-05-25"
        }
}

```

### 查看验证码信息业务

**请求URL:** valid/code/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看验证码信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/valid/code/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;code|String|验证码|-
&emsp;url|String|校验地址，email校验使用|-
&emsp;mobile|String|校验手机号|-
&emsp;email|String|校验邮箱|-
&emsp;type|Integer|校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0|-
&emsp;sessionId|String|会话ID|-
&emsp;ip|String|IP地址|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":260,
            "code":"q9p8qa",
            "url":"xl2ggf",
            "mobile":"42cdzo",
            "email":"aul8de",
            "type":6923,
            "sessionId":"l5wje2",
            "ip":"vvgpdz",
            "createTime":"2022-05-25",
            "lapseTime":"2022-05-25"
        }
}
```

### 保存更新验证码信息业务

**请求URL:** valid/code/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新验证码信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
code|String|验证码|是|-
url|String|校验地址，email校验使用|是|-
mobile|String|校验手机号|是|-
email|String|校验邮箱|是|-
type|Integer|校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0|是|-
sessionId|String|会话ID|是|-
ip|String|IP地址|是|-
lapseTime|Date|失效时间|是|-

**请求样例:**
```

{
    "code":"xcolm8",
    "url":"sihaal",
    "mobile":"hubo5p",
    "email":"vyi0t2",
    "type":5257,
    "sessionId":"u1uss5",
    "ip":"h8k4zm",
    "lapseTime":"2022-05-25"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;code|String|验证码|-
&emsp;&emsp;url|String|校验地址，email校验使用|-
&emsp;&emsp;mobile|String|校验手机号|-
&emsp;&emsp;email|String|校验邮箱|-
&emsp;&emsp;type|Integer|校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0|-
&emsp;&emsp;sessionId|String|会话ID|-
&emsp;&emsp;ip|String|IP地址|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除验证码信息业务

**请求URL:** valid/code/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除验证码信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/valid/code/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出验证码信息业务

**请求URL:** valid/code/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出验证码信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## API服务

### 查询API服务列表

**请求URL:** system/service/api/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;&emsp;systemServiceName|String|模块名称|-
&emsp;&emsp;systemServiceCode|String|模块编码|-
&emsp;&emsp;systemServiceUrl|String|模块地址|-
&emsp;&emsp;apiName|String|API接口名称|-
&emsp;&emsp;apiUrl|String|API接口（链接）|-
&emsp;&emsp;apiVersion|String|API接口版本|-
&emsp;&emsp;apiStatus|Integer|API接口状态,1:启用,0:停用|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-
&emsp;&emsp;apiRemark|String|API接口说明|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑API服务

**请求URL:** system/service/api/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑API服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/system/service/api/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;systemServiceName|String|模块名称|-
&emsp;systemServiceCode|String|模块编码|-
&emsp;systemServiceUrl|String|模块地址|-
&emsp;apiName|String|API接口名称|-
&emsp;apiUrl|String|API接口（链接）|-
&emsp;apiVersion|String|API接口版本|-
&emsp;apiStatus|Integer|API接口状态,1:启用,0:停用|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
&emsp;apiRemark|String|API接口说明|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":5329,
        "systemServiceName":"plua4v",
        "systemServiceCode":"jbpa78",
        "systemServiceUrl":"4c0bee",
        "apiName":"zhkatj",
        "apiUrl":"ha4qiz",
        "apiVersion":"cjor4f",
        "apiStatus":2931,
        "createTime":"2022-05-25",
        "lapseTime":"2022-05-25",
        "apiRemark":"j1x5u4"
        }
}

```

### 查看API服务

**请求URL:** system/service/api/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/system/service/api/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;systemServiceName|String|模块名称|-
&emsp;systemServiceCode|String|模块编码|-
&emsp;systemServiceUrl|String|模块地址|-
&emsp;apiName|String|API接口名称|-
&emsp;apiUrl|String|API接口（链接）|-
&emsp;apiVersion|String|API接口版本|-
&emsp;apiStatus|Integer|API接口状态,1:启用,0:停用|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
&emsp;apiRemark|String|API接口说明|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8732,
            "systemServiceName":"d1hchx",
            "systemServiceCode":"1zv59m",
            "systemServiceUrl":"cyq0k0",
            "apiName":"iiclh3",
            "apiUrl":"7e0z34",
            "apiVersion":"wqhq6o",
            "apiStatus":9620,
            "createTime":"2022-05-25",
            "lapseTime":"2022-05-25",
            "apiRemark":"zcadn5"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/api/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
systemServiceName|String|模块名称|是|-
systemServiceCode|String|模块编码|是|-
systemServiceUrl|String|模块地址|是|-
apiName|String|API接口名称|是|-
apiUrl|String|API接口（链接）|是|-
apiVersion|String|API接口版本|是|-
apiStatus|Integer|API接口状态,1:启用,0:停用|是|-
lapseTime|Date|失效时间|是|-
apiRemark|String|API接口说明|是|-

**请求样例:**
```

{
    "systemServiceName":"amoyu0",
    "systemServiceCode":"modahx",
    "systemServiceUrl":"eugisq",
    "apiName":"lfgg4n",
    "apiUrl":"6omzv2",
    "apiVersion":"840z5k",
    "apiStatus":4837,
    "lapseTime":"2022-05-25",
    "apiRemark":"uwrd3l"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;&emsp;systemServiceName|String|模块名称|-
&emsp;&emsp;systemServiceCode|String|模块编码|-
&emsp;&emsp;systemServiceUrl|String|模块地址|-
&emsp;&emsp;apiName|String|API接口名称|-
&emsp;&emsp;apiUrl|String|API接口（链接）|-
&emsp;&emsp;apiVersion|String|API接口版本|-
&emsp;&emsp;apiStatus|Integer|API接口状态,1:启用,0:停用|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-
&emsp;&emsp;apiRemark|String|API接口说明|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除API服务

**请求URL:** system/service/api/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/system/service/api/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出API服务

**请求URL:** system/service/api/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## API服务

### 查询API服务列表

**请求URL:** system/service/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;&emsp;systemServiceName|String|模块名称|-
&emsp;&emsp;systemServiceCode|String|模块编码|-
&emsp;&emsp;systemServiceUrl|String|模块地址|-
&emsp;&emsp;packageName|String|包名称|-
&emsp;&emsp;packagePath|String|包的下载路径|-
&emsp;&emsp;packageVersion|String|包的版本|-
&emsp;&emsp;apiStatus|Integer|包的状态,1:启用,0:停用|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-
&emsp;&emsp;packageRemark|String|包的说明|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑API服务

**请求URL:** system/service/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑API服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/system/service/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;systemServiceName|String|模块名称|-
&emsp;systemServiceCode|String|模块编码|-
&emsp;systemServiceUrl|String|模块地址|-
&emsp;packageName|String|包名称|-
&emsp;packagePath|String|包的下载路径|-
&emsp;packageVersion|String|包的版本|-
&emsp;apiStatus|Integer|包的状态,1:启用,0:停用|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
&emsp;packageRemark|String|包的说明|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":631,
        "systemServiceName":"v8b3j9",
        "systemServiceCode":"0rp6dz",
        "systemServiceUrl":"56jk3f",
        "packageName":"8vi29w",
        "packagePath":"x83gtf",
        "packageVersion":"n22n46",
        "apiStatus":8973,
        "createTime":"2022-05-25",
        "lapseTime":"2022-05-25",
        "packageRemark":"18oqum"
        }
}

```

### 查看API服务

**请求URL:** system/service/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/system/service/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;systemServiceName|String|模块名称|-
&emsp;systemServiceCode|String|模块编码|-
&emsp;systemServiceUrl|String|模块地址|-
&emsp;packageName|String|包名称|-
&emsp;packagePath|String|包的下载路径|-
&emsp;packageVersion|String|包的版本|-
&emsp;apiStatus|Integer|包的状态,1:启用,0:停用|-
&emsp;createTime|Date|创建时间|-
&emsp;lapseTime|Date|失效时间|-
&emsp;packageRemark|String|包的说明|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3530,
            "systemServiceName":"mialef",
            "systemServiceCode":"nodbky",
            "systemServiceUrl":"usvrb6",
            "packageName":"1p72lq",
            "packagePath":"4o58dj",
            "packageVersion":"64fq3s",
            "apiStatus":2350,
            "createTime":"2022-05-25",
            "lapseTime":"2022-05-25",
            "packageRemark":"5bnizt"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
systemServiceName|String|模块名称|是|-
systemServiceCode|String|模块编码|是|-
systemServiceUrl|String|模块地址|是|-
packageName|String|包名称|是|-
packagePath|String|包的下载路径|是|-
packageVersion|String|包的版本|是|-
apiStatus|Integer|包的状态,1:启用,0:停用|是|-
lapseTime|Date|失效时间|是|-
packageRemark|String|包的说明|是|-

**请求样例:**
```

{
    "systemServiceName":"mzzast",
    "systemServiceCode":"gaiwtg",
    "systemServiceUrl":"mr4h8w",
    "packageName":"9wcgzy",
    "packagePath":"xzm5eq",
    "packageVersion":"h415vm",
    "apiStatus":5017,
    "lapseTime":"2022-05-25",
    "packageRemark":"rff0mt"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|系统API的ID，主键，自增长|-
&emsp;&emsp;systemServiceName|String|模块名称|-
&emsp;&emsp;systemServiceCode|String|模块编码|-
&emsp;&emsp;systemServiceUrl|String|模块地址|-
&emsp;&emsp;packageName|String|包名称|-
&emsp;&emsp;packagePath|String|包的下载路径|-
&emsp;&emsp;packageVersion|String|包的版本|-
&emsp;&emsp;apiStatus|Integer|包的状态,1:启用,0:停用|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;lapseTime|Date|失效时间|-
&emsp;&emsp;packageRemark|String|包的说明|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除API服务

**请求URL:** system/service/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/system/service/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出API服务

**请求URL:** system/service/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出API服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```


## 菜单信息业务

### 查询菜单信息业务列表

**请求URL:** menu/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询菜单信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**
```

  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;name|String|菜单名称|-
&emsp;&emsp;url|String|连接地址|-
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1|-
&emsp;&emsp;orderId|Long|排序编号|-
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1|-
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0|-
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1|-
&emsp;&emsp;groupName|String||-
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名|-
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名|-
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名|-
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0|-
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单，默认0|-
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 编辑菜单信息业务

**请求URL:** menu/edit

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 编辑菜单信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/menu/edit?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;name|String|菜单名称|-
&emsp;url|String|连接地址|-
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1|-
&emsp;orderId|Long|排序编号|-
&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1|-
&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0|-
&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1|-
&emsp;groupName|String||-
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名|-
&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名|-
&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名|-
&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0|-
&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单，默认0|-
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```

{
    "code": 1,
    "data": {
        "id":3259,
        "name":"lzwe88",
        "url":"1ocxsp",
        "parentId":4248,
        "orderId":4657,
        "status":5503,
        "linkType":752,
        "groupId":30,
        "groupName":"p808el",
        "imgPath":"dfwbqw",
        "buttonImgPath":"s4wifi",
        "imgCommPath":"65nww2",
        "commMenu":3839,
        "menuType":2975,
        "authType":8751,
        "createTime":"2022-05-25",
        "createUserId":1291,
        "createUserName":"7sje4e"
        }
}

```

### 查看菜单信息业务

**请求URL:** menu/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看菜单信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**
```

    http://localhost/menu/info?id=549

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;name|String|菜单名称|-
&emsp;url|String|连接地址|-
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1|-
&emsp;orderId|Long|排序编号|-
&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1|-
&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0|-
&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1|-
&emsp;groupName|String||-
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名|-
&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名|-
&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名|-
&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0|-
&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单，默认0|-
&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;createUserName|String|创建用户名称|-
dict|object|字典对象|-


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7178,
            "name":"dajmp2",
            "url":"9eliyz",
            "parentId":7618,
            "orderId":5292,
            "status":3127,
            "linkType":9044,
            "groupId":4924,
            "groupName":"ufa8jp",
            "imgPath":"2unzvc",
            "buttonImgPath":"9zavss",
            "imgCommPath":"n47npa",
            "commMenu":4473,
            "menuType":385,
            "authType":3043,
            "createTime":"2022-05-25",
            "createUserId":7974,
            "createUserName":"k1gznk"
        }
}
```

### 保存更新菜单信息业务

**请求URL:** menu/save

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新菜单信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|菜单名称|是|-
url|String|连接地址|是|-
parentId|Long|父菜单ID，一级菜单的该字段值为-1|是|-
orderId|Long|排序编号|是|-
status|Integer|菜单状态，0：禁用，1：启用，默认1|是|-
linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0|是|-
groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1|是|-
groupName|String||是|-
imgPath|String|主菜单图标，主菜单图标的css样式名|是|-
buttonImgPath|String|按钮图标，按钮图标的css样式名|是|-
imgCommPath|String|常用菜单图标，常用菜单图标的css样式名|是|-
commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0|是|-
menuType|Integer|菜单类型，0：主菜单，1：非主菜单，默认0|是|-
authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看|是|-
createUserName|String|创建用户名称|是|-

**请求样例:**
```

{
    "name":"q43v3t",
    "url":"n908bi",
    "parentId":9369,
    "orderId":9732,
    "status":8515,
    "linkType":5264,
    "groupId":3752,
    "groupName":"ixlb1w",
    "imgPath":"43kj03",
    "buttonImgPath":"21zu70",
    "imgCommPath":"lw9362",
    "commMenu":549,
    "menuType":4828,
    "authType":6078,
    "createUserName":"worea1"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|菜单ID，主键，自增长|-
&emsp;&emsp;name|String|菜单名称|-
&emsp;&emsp;url|String|连接地址|-
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1|-
&emsp;&emsp;orderId|Long|排序编号|-
&emsp;&emsp;status|Integer|菜单状态，0：禁用，1：启用，默认1|-
&emsp;&emsp;linkType|Integer|链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0|-
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1|-
&emsp;&emsp;groupName|String||-
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名|-
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名|-
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名|-
&emsp;&emsp;commMenu|Integer|是否常用菜单，0：非常用，1：常用，默认0|-
&emsp;&emsp;menuType|Integer|菜单类型，0：主菜单，1：非主菜单，默认0|-
&emsp;&emsp;authType|Integer|权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createUserName|String|创建用户名称|-

**响应消息样例:**
```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 删除菜单信息业务

**请求URL:** menu/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除菜单信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**
```

    http://localhost:8080/menu/delete?id=1'

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "code":1,
	"msg":"成功"

}

```

### 导出菜单信息业务

**请求URL:** menu/exportExcel

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 导出菜单信息业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项

**请求样例:**
```
{
    idList:[1,2],

}


```

**Response-example:**
```
...

```

## 字典附录













### authType
字典参数key|字典参数值|其它
---|---|---
0|无限制|-
1|无需登录查看|-
2|需要登录查看|-
3|需要角色权限查看|-

### sourceType
字典参数key|字典参数值|其它
---|---|---
0|系统资源|-
1|开放资源|-

### userType
字典参数key|字典参数值|其它
---|---|---
0|系统用户|-
1|代理商用户|-
2|品牌商用户|-































### status
字典参数key|字典参数值|其它
---|---|---
1|执行中|-

### excuteStrategy
字典参数key|字典参数值|其它
---|---|---
1|按日|-
2|按周|-
3|按月|-
4|按间隔时间|-

### interimExcuteStatus
字典参数key|字典参数值|其它
---|---|---
0|未启用|-
1|立即执行并保留|-
2|立即执行并删除|-







### fileType
字典参数key|字典参数值|其它
---|---|---
1|excel|-
2|img|-
3|zip|-
4|pdf|-




































