package com.mortals.xhx.module.menu.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.framework.service.IUser;
import com.mortals.xhx.module.menu.model.MenuEntity;

import java.util.List;
import java.util.Set;

/**
* MenuService
*
* 菜单信息业务 service接口
*
* @author zxfei
* @date 2022-05-25
*/
public interface MenuService extends ICRUDService<MenuEntity,Long>{
    /**
     * 获取所有可用菜单
     *
     * @return
     * @throws AppException
     */
     List<MenuEntity> findAllEnable() throws AppException;

    /**
     * 查询有权限的菜单
     *
     * @param user 当前用户
     * @param urls 有权限的访问地址集合
     * @return
     * @throws AppException
     */
     List<MenuEntity> findTreeMenu(IUser user, Set<String> urls) throws AppException;

    /**
     * 查看所有菜单
     *
     * @return
     * @throws AppException
     */
     List<MenuEntity> findTreeMenu() throws AppException;


    /**
     * 更新排列顺序
     * @param id
     * @param type
     */
    void upOrDown(Long id, Integer type);
}