package com.mortals.xhx.module.role.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.role.model.vo.RoleVo;
/**
* 角色信息业务实体对象
*
* @author zxfei
* @date 2022-05-25
*/

public class RoleEntity extends RoleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 角色名称
    */
    private String name;
    /**
    * 备注
    */
    private String remark;
    /**
    * 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
    */
    private Integer roleType;
    /**
    * 创建用户名称
    */
    private String createUserName;



    public RoleEntity(){}
    /**
    * 获取 角色名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 角色名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
    * @return Integer
    */
    public Integer getRoleType(){
        return roleType;
    }
    /**
    * 设置 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
    * @param roleType
    */
    public void setRoleType(Integer roleType){
        this.roleType = roleType;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoleEntity) {
            RoleEntity tmp = (RoleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",remark:").append(getRemark());
        sb.append(",roleType:").append(getRoleType());
        sb.append(",createUserName:").append(getCreateUserName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.name = "";

            this.remark = "";

            this.roleType = 2;

            this.createUserName = "";
    }
}